/*
 *  Copyright © 2016, 2017, Oracle and/or its affiliates. All rights reserved.
 *  This software is dual-licensed to you under the MIT License (MIT) and
 *  the Universal Permissive License (UPL). See the LICENSE file in the root
 *  directory for license terms. You may choose either license, or both.
 */
import Foundation

class Provisioning {
    // Make this true properties with getters and setters
    static var provFilePath:String = ""
    class func getProvisioningFilePath() -> String {
        return provFilePath
    }
    class func setProvisioningFilePath(pf: String) {
        provFilePath = pf
    }

    static var provPassword:String = ""
    class func getProvisioningPassword() -> String {
        return provPassword
    }
    class func setProvisioningPassword(pp: String) {
        provPassword = pp
    }

    static var provStatic:Bool = false
    class func isProvisioningStatic() -> Bool {
        return provStatic
    }
    class func setProvisioningStatic() {
        provStatic = true
    }
    
    // USE_POLICIES is defined in Constants.swift
    // Change that variable to change the default
    static var provWithPolicies:Bool = USE_POLICY
    class func getWithPolicies() -> Bool {
        return provWithPolicies
    }
    class func setWithPolicies(withPolicies:Bool) {
        provWithPolicies = withPolicies
    }
}
